<template>
  <div class="container">
    <div class="row">
      <div class="form-group col-md-4">
        <label class="control-label">
          Representación pasiva
        </label>
        <p-radio class="d-inline-block" v-model="es_representacion" label="1">Si</p-radio>
        <p-radio class="d-inline-block" v-model="es_representacion" label="0">No</p-radio>
      </div>
    </div>
    <div v-if="es_representacion == '1'">
      <div v-if="add_item">
        <div class="row">
          <legend>Representación Pasiva</legend>
          <div class="form-group col-md-4">
            <label class="control-label">Tipo de Representación</label>
            <el-select  clearable class="select-default" placeholder="Seleccione una opción" filterable name="tipo_representacion_id" v-validate="item_representacionValidations.tipo_representacion_id" v-model="item_representacion.tipo_representacion_id">
              <el-option v-for="option in representaciones" class="select-default" :value="option.id" :label="option.valor" :key="option.label"></el-option>
            </el-select><small class="text-danger" v-show="tipo_representacion_id.invalid">
              {{ getError('tipo_representacion_id') }}
            </small>
          </div>
          <div class="form-group col-md-8" v-if=" item_representacion.tipo_representacion_id == 5">
            <label class="control-label">Especificar tipo de representación</label>
            <input class="form-control" type="text" name="tipo_representacion_especificar" v-validate="item_representacionValidations.tipo_representacion_especificar" v-model="item_representacion.tipo_representacion_especificar" placeholder="Especificar"><small class="text-danger" v-show="tipo_representacion_especificar.invalid">
              {{ getError('tipo_representacion_especificar') }}
            </small>
          </div>
          <div class="form-group col-md-8">
            <label class="control-label">
              Nombre del representante
            </label>
            <input class="form-control" type="text" name="nombre" v-validate="item_representacionValidations.nombre" v-model="item_representacion.nombre" placeholder="Nombre del representante" /><small class="text-danger" v-show="nombre.invalid">
              {{ getError('nombre') }}
            </small>
          </div>
        </div>
        <div class="row">
          <legend>Datos de la Representación Pasiva</legend>
          <div class="form-group col-md-4">
            <label class="control-label">
              Fecha de inicio de la Representación
            </label>
            <div class="form-group">
              <el-date-picker type="date" name="fecha_inicio_representacion" v-validate="item_representacionValidations.fecha_inicio_representacion" v-model="item_representacion.fecha_inicio_representacion" value-format="dd-MM-yyyy" format="dd-MM-yyyy" placeholder="Seleccione fecha"></el-date-picker><small class="text-danger" v-show="fecha_inicio_representacion.invalid">
                {{ getError('fecha_inicio_representacion') }}
              </small>
            </div>
          </div>
          <div class="form-group col-md-4">
            <label class="control-label">
              Nacionalidades:
            </label>
            <el-select  clearable class="select-default" placeholder="Nacionalidades" filterable name="nacionalidades_id" v-validate="item_representacionValidations.nacionalidades_id" v-model="item_representacion.nacionalidades_id">
              <el-option v-for="option in paisesnac" class="select-default" :value="option.id" :label="option.valor" :key="option.valor">
              </el-option>
            </el-select><small class="text-danger" v-show="nacionalidades_id.invalid">
              {{ getError('nacionalidades_id') }}
            </small>
          </div>
          <div class="form-group col-md-4">
            <label class="control-label">
              CURP del representante:
            </label>
            <input class="form-control" type="text" name="curp" v-validate="item_representacionValidations.curp" v-model="item_representacion.curp" placeholder="CURP" /><small class="text-danger" v-show="curp.invalid">
              {{ getError('curp') }}
            </small>
            <small class="text-danger" v-show="validaciones.curp">
              El formato de la CURP no es válido, verifica la información
            </small>
          </div>
        </div>
        <div class="row">
          <div class="col-md-4">
            <label class="control-label">
              RFC del representante
            </label>
            <input class="form-control" type="text" name="rfc" v-validate="item_representacionValidations.rfc" v-model="item_representacion.rfc" placeholder="RFC" /><small class="text-danger" v-show="rfc.invalid">
              {{ getError('rfc') }}
            </small>
            <small class="text-danger" v-show="validaciones.rfc">
              El formato de la CURP no es válido, verifica la información
            </small>
          </div>
          <div class="col-md-4">
            <label class="control-label">
              Fecha de Nacimiento del representante
            </label>
            <div class="form-group">
              <el-date-picker type="date" name="fecha_nacimiento" v-validate="item_representacionValidations.fecha_nacimiento" v-model="item_representacion.fecha_nacimiento" value-format="dd-MM-yyyy" format="dd-MM-yyyy" placeholder="Seleccione fecha"></el-date-picker><small class="text-danger" v-show="fecha_nacimiento.invalid">
                {{ getError('fecha_nacimiento') }}
              </small>
            </div>
          </div>
          <div class="col-md-12">
            <div class="form-group">
              <label class="control-label">
                ¿Tiene el representante intereses en el mismo sector/industria al que pertenece el empleo
                oficial del Declarante?
              </label>
              <p-radio name="tiene_intereses" v-validate="item_representacionValidations.tiene_intereses" v-model="item_representacion.tiene_intereses" :inline=true label="1">Sí</p-radio>
              <p-radio name="tiene_intereses" v-validate="item_representacionValidations.tiene_intereses" v-model="item_representacion.tiene_intereses" :inline=true label="2">No</p-radio>
            </div>
            <small class="text-danger" v-show="tiene_intereses.invalid">
              {{ getError('tiene_intereses') }}
            </small>
          </div>
        </div>
        <div class="row">
          <legend> Datos del representante </legend>
          <div class="form-group col-md-6">
            <label class="control-label">
              Ocupación/Profesión del Representante
            </label>
            <input class="form-control" type="text" name="ocupacion_profesion" v-validate="item_representacionValidations.ocupacion_profesion" v-model="item_representacion.ocupacion_profesion" placeholder="Ocupación del representante" /><small class="text-danger" v-show="ocupacion_profesion.invalid">
              {{ getError('ocupacion_profesion') }}
            </small>
          </div>
          <div class="form-group col-md-4">
            <label class="control-label">Sector Industria</label>
            <el-select  clearable class="select-default" placeholder="Seleccione una opción" filterable name="sector_industria_id" v-validate="item_representacionValidations.sector_industria_id" v-model="item_representacion.sector_industria_id">
              <el-option v-for="option in sectores" class="select-default" :value="option.id" :label="option.valor" :key="option.label"></el-option>
            </el-select><small class="text-danger" v-show="sector_industria_id.invalid">
              {{ getError('sector_industria_id') }}
            </small>
          </div>
          <div class="form-group col-md-4" v-if=" item_representacion.sector_industria_id == 11">
            <label class="control-label">Especificar sector industria</label>
            <input class="form-control" type="text" name="especificar_sector_industria" v-validate="item_representacionValidations.especificar_sector_industria" v-model="item_representacion.especificar_sector_industria" placeholder="Especificar"><small class="text-danger" v-show="especificar_sector_industria.invalid">
              {{ getError('especificar_sector_industria') }}
            </small>
          </div>
          <div class=" col-md-4">
            <label class="control-label">
              Observaciones/Comentarios:
            </label>
            <input class="form-control" type="text" name="tobservaciones" v-model="item_representacion.observaciones" placeholder="Observaciones/Comentarios" />
          </div>
        </div>
        <div class="row justify-content-end m-3">
          <button class="btn btn-primary" @click.prevent="addItem()">
            <span v-if="edit_item == null">
              <i class="fa fa-plus"></i> Agregar
            </span>
            <span v-else>
              <i class="fa fa-save"></i> Guardar
            </span>
          </button>
          <button class="btn btn-danger ml-3" @click.prevent="cancelEdit()">
            <span>
              <i class="fa fa-times"></i> Cancelar
            </span>
          </button>
        </div>
        <div class="row">
          <hr class="col-md-12 bg-info">
        </div>
      </div>
      <div v-if="!add_item">
        <div class="row justify-content-end m-3">
          <button class="btn btn-primary" @click.prevent="showItem()">
            <span>
              <i class="fa fa-plus"></i> Agregar
            </span>
          </button>
        </div>
        <div class="row mt-3 mb-4">
          <div class="col-sm-12 col-md-12 col-lg-12">
            <b-table id="tbl_representaciones" responsive hover :items="list_representaciones" :fields="fields_list" show-empty>
              <!-- :fields="fields_list" -->
              <template slot="acciones" slot-scope="row" class="actions">
                <b-button size="sm" @click.prevent="editItem(row)" class="edit mr-2" :disabled="edit_item != null">
                  Editar <i class="fas fa-pencil-alt ml-2"></i>
                </b-button>
                <b-button size="sm" @click.prevent="removeItem(row.index)" class="delete mr-2" :disabled="edit_item != null">
                  Eliminar <i class="fas fa-trash-alt ml-2"></i>
                </b-button>
              </template>
              <template slot="empty">
                <h5>No existen registros</h5>
              </template>
              <!-- <template
              slot="domicilio_bien_entidad_federativa_id"
              slot-scope="row"
            >
              {{getEntidad(row.item.domicilio_bien_entidad_federativa_id)}}</template>
            <template
              slot="domicilio_bien_localidad_id"
              slot-scope="row"
            >
              {{getLocalidad(row.item.domicilio_bien_localidad_id)}}
            </template>
            <template
              slot="domicilio_bien_municipio_id"
              slot-scope="row"
            >{{getMunicipio(row.item.domicilio_bien_municipio_id)}}</template>
             --><template slot="nacionalidades_id" slot-scope="row">{{getNacionalidades(row.item.nacionalidades_id)}}</template>
              <!-- <template
              slot="forma_adquisicion_id"
              slot-scope="row"
            >{{getFormaAdquisicion(row.item.forma_adquisicion_id)}}</template> -->
              <!-- <template
              slot="nombre_copropietario_nombres nombre_copropietario_primer_apellido nombre_copropietario_segundo_apellido"
              slot-scope="row"
            >
              {{row.item.nombre_copropietario_nombres}} {{row.item.nombre_copropietario_primer_apellido}} {{row.item.nombre_copropietario_segundo_apellido}}</template> -->
              <!-- <template
              slot="porcentaje_propiedad"
              slot-scope="row"
              class="text-center"
            >{{row.item.porcentaje_propiedad}} %</template> -->
              <!-- <template
              slot="precio_adquisicion_valor"
              slot-scope="row"
              class="text-right"
            >{{(getSignoDos(row.item.precio_adquisicion_moneda_id))}}
              {{row.item.precio_adquisicion_valor | currency}}</template> -->
              <!-- <template
              slot="precio_adquisicion_moneda_id"
              slot-scope="row"
              class="text-center"
            >
              {{getMoneda(row.item.precio_adquisicion_moneda_id)}}</template> -->
              <!--
            <template
              slot="tipo_bien_id"
              slot-scope="row"
            >{{getTipo(row.item.tipo_bien_id)}}</template> -->
              <template slot="sector_industria_id" slot-scope="row">{{getSectores(row.item.sector_industria_id)}}</template>
              <template slot="tipo_representacion_id" slot-scope="row">{{getRepresentacion(row.item.tipo_representacion_id)}}</template>
              <!--  <template
              slot="titular_id"
              slot-scope="row"
            >{{getTitular(row.item.titular_id)}}</template>
            <template
              slot="relacion_persona_adquirio_id"
              slot-scope="row"
            >
              {{getRelacion(row.item.relacion_persona_adquirio_id)}}</template> -->
            </b-table>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
  import {
    Tag,
    Select,
    DatePicker
  } from "element-ui";
  import Domicilio from "../Domicilio.vue";
  import {
    mapFields
  } from "vee-validate";
  export default {
    components: {
      [Tag.name]: Tag,
      [DatePicker.name]: DatePicker,
      Domicilio
    },
    computed: {
      ...mapFields([
        "tipo_representacion_id",
        "nombre",
        "tipo_representacion_especificar",
        "fecha_inicio_representacion",
        "nacionalidades_id",
        "curp",
        "rfc",
        "fecha_nacimiento",
        "tiene_intereses",
        "ocupacion_profesion",
        "sector_industria_id",
        "especificar_sector_industria"
      ])
    },
    watch: {
      list_representaciones: {
        handler: function () {
          if (this.list_representaciones) {
            if (this.list_representaciones.length == 0) {
              this.es_representacion = "0";
            } else {
              this.es_representacion = "1";
            }
          }
        },
        deep: true
      },
      n_domicilio: {
        handler: function () {
          if (this.n_domicilio) {
            this.item_bienes.domicilio_bien_pais_id = this.n_domicilio.pais ?
              this.n_domicilio.pais :
              150;
            this.item_bienes.domicilio_bien_entidad_federativa_id = this
              .n_domicilio.entidadF ?
              this.n_domicilio.entidadF :
              "";
            this.item_bienes.domicilio_bien_municipio_id = this.n_domicilio
              .municipio ?
              this.n_domicilio.municipio :
              "";
            this.item_bienes.domicilio_bien_localidad_id = this.n_domicilio
              .localidad ?
              this.n_domicilio.localidad :
              "";
            this.item_bienes.domicilio_bien_cp = this.n_domicilio.cp ?
              this.n_domicilio.cp :
              "";
            this.item_bienes.domicilio_bien_colonia = this.n_domicilio.colonia ?
              this.n_domicilio.colonia :
              "";
            this.item_bienes.domicilio_bien_vialidad_tipo = this.n_domicilio
              .vialidad ?
              this.n_domicilio.vialidad :
              "";
            this.item_bienes.domicilio_bien_vialidad_nombre = this.n_domicilio
              .vialidad_nombre ?
              this.n_domicilio.vialidad_nombre :
              "";
            this.item_bienes.domicilio_bien_numext = this.n_domicilio.ext ?
              this.n_domicilio.ext :
              "";
            this.item_bienes.domicilio_bien_numint = this.n_domicilio.int ?
              this.n_domicilio.int :
              "";
          }
        },
        deep: true
      }
      /* list_representaciones: {
        handler: function() {
          if (this.list_representaciones) {
            //this.setLocalidades();
          }
        },
        deep: true
      } */
      /* "item_bienes.precio_adquisicion_valor": function (val) {
            this.isnum = val.replace(/[^\d.-]/g, '');
          },
          isnum(val) {
            console.log('...' + val);
            this.item_bienes.precio_adquisicion_valor = val;
          } */
    },
    data() {
      return {
        validaciones: {
          curp: false,
          rfc: false
        },
        ip_id: 1,
        add_item: false,
        edit_item: null,
        es_representacion: "0",
        representaciones: null,
        paisesnac: null,
        nacionalidadArr: [],
        sectores: null,
        item_representacion: {},
        list_representaciones: [],
        item_representacionValidations: {
          tipo_representacion_id: {
            required: true
          },
          nombre: {
            required: true
          },
          tipo_representacion_especificar: {
            required: true
          },
          fecha_inicio_representacion: {
            required: true
          },
          nacionalidades_id: {
            required: true
          },
          curp: {
            max: 18
          },
          rfc: {
            max: 13
          },
          fecha_nacimiento: {
            required: true
          },
          tiene_intereses: {
            required: true
          },
          ocupacion_profesion: {
            required: true
          },
          sector_industria_id: {
            required: true
          },
          especificar_sector_industria: {
            required: true
          }
        },
        fields_list: [{
            key: "acciones",
            label: "Acciones",
            tdClass: "text-center"
          },
          {
            key: "tipo_representacion_id",
            label: "Tipo Representación",
            tdClass: "text-left",
            formatter: "emptyFields"
          },
          {
            key: "tipo_representacion_especificar",
            label: "Especificar",
            tdClass: "text-left",
            formatter: "emptyFields"
          },
          {
            key: "nombre",
            label: "Nombre del representante",
            tdClass: "text-left",
            formatter: "emptyFields"
          },
          {
            key: "fecha_inicio_representacion",
            label: "Fecha de inicio de Representación",
            tdClass: "text-center",
            formatter: "emptyFields"
          },
          {
            key: "nacionalidades_id",
            label: "Nacionalidades",
            tdClass: "text-left",
            formatter: "emptyFields"
          },
          {
            key: "curp",
            label: "Curp del Representante",
            tdClass: "text-left",
            formatter: "emptyFields"
          },
          {
            key: "rfc",
            label: "RFC del Representante",
            tdClass: "text-right",
            formatter: "emptyFields"
          },
          {
            key: "fecha_nacimiento",
            label: "Fecha de nacimiento del representante",
            tdClass: "text-right",
            formatter: "emptyFields"
          },
          {
            key: "tiene_intereses",
            label: "Intereses en el mismo sector/industria",
            tdClass: "text-center",
            formatter: "emptyFields"
          },
          /* {
              key: "identificacion_bien_numero_escritura_publica",
              label: "Número de escritura pública",
              tdClass: "text-right",
              formatter: "emptyFields"
            }, */
          {
            key: "ocupacion_profesion",
            label: "Ocupación/Profesión del Representante",
            tdClass: "text-right",
            formatter: "emptyFields"
          },
          {
            key: "sector_industria_id",
            label: "Sector Industria",
            tdClass: "text-right",
            formatter: "emptyFields"
          },
          {
            key: "observaciones",
            label: "Observaciones/Comentarios",
            tdClass: "text-left",
            formatter: "emptyFields"
          }
        ],
        pickerOptions1: {
          shortcuts: [{
              text: "Today",
              onClick(picker) {
                picker.$emit("pick", new Date());
              }
            },
            {
              text: "Yesterday",
              onClick(picker) {
                const date = new Date();
                date.setTime(date.getTime() - 3600 * 1000 * 24);
                picker.$emit("pick", date);
              }
            },
            {
              text: "A week ago",
              onClick(picker) {
                const date = new Date();
                date.setTime(date.getTime() - 3600 * 1000 * 24 * 7);
                picker.$emit("pick", date);
              }
            }
          ]
        },
        datePicker: "",
        model: {
          nombre: "",
          aPaterno: "",
          aMaterno: "",
          curp: "",
          tparticular: "",
          tcelular: "",
          rfc: "",
          nidentifica: "",
          cpersonal: "",
          pResidencia: "1",
          nacionalidades: {},
          email: "",
          estudios: "1"
        },

        tags: {
          dynamicTags: ["Mexicana"],
          inputVisible: false,
          inputValue: ""
        },
        modelValidations: {
          nombre: {
            min: 5
          },
          aPaterno: {
            min: 5
          },
          aMaterno: {
            min: 5
          },
          email: {
            required: true,
            email: true
          }
        }
      };
    },
    methods: {
      getRepresentacion(index) {
        var resp = " ";
        if (this.representaciones) {
          this.representaciones.forEach(function (item) {
            if (item.id == index) {
              resp = item.valor;
              return resp;
            }
          });
        }
        return resp;
      },
      getNacionalidades(index) {
        var resp = " ";
        if (this.paisesnac) {
          this.paisesnac.forEach(function (item) {
            if (item.id == index) {
              resp = item.valor;
              return resp;
            }
          });
        }
        return resp;
      },
      getDatosP() {
        var v = this;
        this.$http.get("infpersonal/1").then(
          response => {
            this.model = response.data.informacion;
            ///para tomar solo el dato correspondiente a la nacionalidad
            $.each(response.data.informacion.nac, function (key, value) {
              v.nacionalidadArr.push(value.nac_id);
            });
            this.model.nac = v.nacionalidadArr;
            this.n_domicilio = {
              pais_id: v.model.domicilio_pais_id,
              entidadF: v.model.domicilio_entidad_federativa_id,
              municipio: v.model.domicilio_municipio_id,
              colonia: v.model.domicilio_colonia,
              cp: v.model.domicilio_cp,
              localidad: v.model.domicilio_localidad_id,
              ext: v.model.domicilio_numext,
              int: v.model.domicilio_numint
            };
            if (v.model.vialidad.id != null) {
              this.n_domicilio.vialidad = v.model.vialidad.tipo_vial;
              this.n_domicilio.vialidad_nombre = v.model.vialidad.nom_vial;
            } else {
              this.n_domicilio.vialidad = "";
              this.n_domicilio.vialidad_nombre = "";
            }
          },
          error => {
            this.StepError(error);
            //console.log(error);
          }
        );
      },
      getSectores(index) {
        var resp = " ";
        if (this.sectores) {
          this.sectores.forEach(function (item) {
            if (item.id == index) {
              resp = item.valor;
              return resp;
            }
          });
        }
        return resp;
      },
      initItem() {
        this.n_domicilio = {
          pais: 150,
          entidadF: "",
          municipio: "",
          localidad: "",
          cp: "",
          colonia: "",
          vialidad: "",
          vialidad_nombre: "",
          ext: "",
          int: ""
        };
        this.item_representacion = {
          acciones: "",
          tipo_operacion_id: "",
          tipo_bien_id: "",
          titular_id: "",
          superficie_construccion: "",
          superficie_terreno: "",
          porcentaje_propiedad: 100,
          identificacion_bien_numero_escritura_publica: "",
          identificacion_bien_numero_registro_publico: "",
          identificacion_bien_folio_real: "",
          identificacion_bien_fecha_contrato: "",
          nombre_copropietario_nombres: "",
          nombre_copropietario_primer_apellido: "",
          nombre_copropietario_segundo_apellido: "",
          precio_adquisicion_valor: "",
          precio_adquisicion_moneda_id: 97,
          valor_catastral: "",
          fecha_adquisicion: "",
          forma_adquisicion_id: "",
          domicilio_bien_pais_id: "",
          domicilio_bien_entidad_federativa_id: "",
          domicilio_bien_municipio_id: "",
          domicilio_bien_localidad_id: "",
          domicilio_bien_colonia: "",
          domicilio_bien_cp: "",
          domicilio_bien_numext: "",
          domicilio_bien_numint: "",
          domicilio_bien_vialidad_nombre: "",
          domicilio_bien_vialidad_tipo: "",
          nombre_denominacion_quien_adquirio: "",
          rfc_quien_adquirio: "",
          curp_quien_adquirio: "",
          sector_industria_id: "",
          relacion_persona_adquirio_id: "",
          relacion_especificar: "",
          observaciones: ""
        };
      },
      showItem() {
        this.add_item = !this.add_item;
      },
      cancelEdit() {
        if (this.edit_item) {
          this.edit_item.item._rowVariant = "";
        }
        this.initItem();
        this.showItem();
        this.edit_item = null;
      },
      addItem() {
        this.$validator.validateAll().then(response => {
          if (response) {
            if (this.item_representacion) {
              this.item_representacion.ip_id = this.ip_id;
              this.loadButton(this.$refs.btnSave);
              this.$http
                .post("representacion_pasiva", this.item_representacion)
                .then(
                  response => {
                    this.StepOk("Guardado");
                    if (this.edit_item === undefined || this.edit_item === null) {
                      this.list_representaciones.push({
                        ...response.data.representacion
                      });
                    } else {
                      this.list_representaciones.splice(
                        this.edit_item.index,
                        1,
                        this.item_representacion
                      );
                      this.edit_item.item._rowVariant = "";
                    }
                    this.showItem();
                    this.initItem();
                    this.edit_item = null;
                  },
                  error => {
                    this.StepError(error);
                    //this.change =  true;
                  }
                );
            }
          } else {
            this.StepW("Hay campos sin completar");
          }
        });
        //console.log(this.item_bienes);
      },
      editItem(indice) {
        this.showItem();
        this.edit_item = indice;
        this.item_representacion = {
          ...this.list_representaciones[this.edit_item.index]
        };
        /*       this.editDomicilio();
         */
        this.edit_item.item._rowVariant = "danger";
        $(".main-panel").animate({
            scrollTop: 100
          },
          500,
          "swing"
        );
      },
      removeItem(indice) {
        if (this.list_representaciones[indice].id !== null) {
          let item = this.list_representaciones[indice];
          this.list_representaciones.splice(indice, 1);
          this.Ask("Desea borrar este registro", () => {
            this.$http.delete("representacion_pasiva/" + item.id).then(
              response => {
                /* eventBus.$emit("TramiteDelete", item); */
                this.list_representaciones.splice(indice, 1);
              },
              error => {
                this.Err(error);
              }
            );
          });
        } else {
          this.Ask("Desea borrar este registro", () => {
            this.list_representaciones.splice(indice, 1);
          });
        }
      },
      getError(fieldName) {
        return this.errors.first(fieldName);
      },
      validate() {
        if (this.add_item) {
          this.validaciones = {
            curp: false,
            rfc: false
          };
          if (!this.curpValida(this.item_representacion.curp)) {
            this.validaciones.curp = true;
            return false;
          }
          if (!this.rfcValido(this.item_representacion.rfc_parte)) {
            this.validaciones.rfc_parte = true;
            return false;
          }
        }

        return this.$validator.validateAll();
      },
      handleClose(tag) {
        this.tags.dynamicTags.splice(this.tags.dynamicTags.indexOf(tag), 1);
      },
      showInput() {
        this.tags.inputVisible = true;
        this.$nextTick(() => {
          this.$refs.saveTagInput.$refs.input.focus();
        });
      },
      handleInputConfirm() {
        let inputValue = this.tags.inputValue;
        if (inputValue) {
          this.tags.dynamicTags.push(inputValue);
        }
        this.tags.inputVisible = false;
        this.tags.inputValue = "";
      }
    },
    created() {
      this.initItem();
      this.$http.get("representacion_pasiva/" + this.ip_id).then(
        response => {
          this.list_representaciones = response.data.representaciones;
          //this.setLocalidades();
        },
        error => {
          this.Err(error);
        }
      );
      this.$http.get("cat_tipo_representacion").then(
        response => {
          this.representaciones = response.data.tipos;
        },
        error => {
          this.Err(error);
        }
      );
      this.$http.get("paises").then(
        response => {
          this.paisesnac = response.data.pais;
        },
        error => {
          this.Err(error);
        }
      );
      this.$http.get("cat_sector_industria").then(
        response => {
          this.sectores = response.data.sectores;
        },
        error => {
          this.Err(error);
        }
      );
    }
  };

</script>
<style>


</style>
